<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="j81ModuloDepartamentalEJB.J81ModuloDepartamental_u8b99y_EOImpl"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="fncBuscarNoticias(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarNoticiasOtrasAplicaciones(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarNoticiasDetalle(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncActualizarNoticias(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncEliminarFicherosNoticia(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCursos(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCursosDetalle(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarPDFCatalago(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarExpedienteAlumno(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarHistorialAlumno(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncConsultaAlumnos(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarPrematricula(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncDatosTrabConveniadas(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncMatricularse(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncDarDeBajaSolicitud(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCorreoVistoBueno(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncConsultaDatosAlumnos(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarMensajeCorreo(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarVistoBueno(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarVistoBuenoSelCurso(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarImporteMatricula(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCombos(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarComboMotivos(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarDatosExpediente(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncConsultaAlumnosExcel(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncActualizarCorreosVB(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncActualizarVB(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
